# Authorization | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- Deserializable
  - Authorization
    - StandardAuthorization
    - SponsoredAuthorization

## Index

### Constructors

- constructor

### Properties

- authType
- spendingCondition
- sponsorSpendingCondition

### Methods

- deserialize
- getFee
- intoInitialSighashAuth
- serialize
- setFee
- setNonce
- setSponsor
- setSponsorNonce
- verifyOrigin
- deserialize

## Constructors

### constructor

- new Authorization(authType?: AuthType, spendingConditions?: SpendingCondition, sponsorSpendingCondition?: SpendingCondition ): Authorization

- Overrides Deserializable.constructor

  - Defined in packages/transactions/src/authorization.ts:483

  #### Parameters

  - ##### Optional authType: AuthType

  - ##### Optional spendingConditions: SpendingCondition

  - ##### Optional sponsorSpendingCondition: SpendingCondition

  #### Returns Authorization

## Properties

### Optional authType

authType: AuthType

- Defined in packages/transactions/src/authorization.ts:481

### Optional spendingCondition

spendingCondition: SpendingCondition

- Defined in packages/transactions/src/authorization.ts:482

### Optional sponsorSpendingCondition

sponsorSpendingCondition: SpendingCondition

- Defined in packages/transactions/src/authorization.ts:483

## Methods

### deserialize

- deserialize(bufferReader: BufferReader ): void

- Overrides Deserializable.deserialize

  - Defined in packages/transactions/src/authorization.ts:593

  #### Parameters

  - ##### bufferReader: BufferReader

  #### Returns void

### getFee

- getFee(): BN | 0

- - Defined in packages/transactions/src/authorization.ts:526

  #### Returns BN | 0

### intoInitialSighashAuth

- intoInitialSighashAuth(): Authorization

- - Defined in packages/transactions/src/authorization.ts:496

  #### Returns Authorization

### serialize

- serialize(): Buffer

- Overrides Deserializable.serialize

  - Defined in packages/transactions/src/authorization.ts:560

  #### Returns Buffer

### setFee

- setFee(amount: BN): void

- - Defined in packages/transactions/src/authorization.ts:515

  #### Parameters

  - ##### amount: BN

  #### Returns void

### setNonce

- setNonce(nonce: BN): void

- - Defined in packages/transactions/src/authorization.ts:537

  #### Parameters

  - ##### nonce: BN

  #### Returns void

### setSponsor

- setSponsor(sponsorSpendingCondition: SpendingCondition ): void

- - Defined in packages/transactions/src/authorization.ts:545

  #### Parameters

  - ##### sponsorSpendingCondition: SpendingCondition

  #### Returns void

### setSponsorNonce

- setSponsorNonce(nonce: BN): void

- - Defined in packages/transactions/src/authorization.ts:541

  #### Parameters

  - ##### nonce: BN

  #### Returns void

### verifyOrigin

- verifyOrigin(initialSigHash: string): string

- - Defined in packages/transactions/src/authorization.ts:549

  #### Parameters

  - ##### initialSigHash: string

  #### Returns string

### Static deserialize

- deserialize<T>(bufferReader: BufferReader ): T

- Inherited from Deserializable.deserialize

  - Defined in packages/transactions/src/authorization.ts:42

  #### Type parameters

  - #### T: Deserializable<T>

  #### Parameters

  - ##### bufferReader: BufferReader

  #### Returns T

Generated using TypeDoc